Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage
Class CStockageAdministration

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.esupportail.portal.channels.CStockage.CStockageAdministration

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.jasig.portal.IChannel

public class CStockageAdministration
extends org.jasig.portal.channels.BaseChannel
implements org.jasig.portal.ICacheable

Id: CStockageAdministration.java,v 1.0 2 mai 2005
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: CStockageAdministration
Original Author: Yohan Colmant
Channel used to manage personal files on a webdav server through the portal

Constructor Summary
`CStockageAdministration()` Constructor

Method Summary
`org.jasig.portal.ChannelCacheKey` | `generateKey()`
`java.lang.StringBuffer` | `getDefaultServerXml(org.jasig.portal.ChannelRuntimeData runtimeData)` Return the xml for the default spaces mode
`java.lang.StringBuffer` | `getDefaultSpaceXml(org.jasig.portal.ChannelRuntimeData runtimeData)` Return the xml for the default space mode
`boolean` | `isCacheValid(java.lang.Object validity)`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Output channel content to the portal
`java.lang.StringBuffer` | `renderXmlChannelException(ChannelException e)` Return the xml when we have a ChannelException exception
`java.lang.StringBuffer` | `renderXmlDefault(org.jasig.portal.ChannelRuntimeData runtimeData, ChannelException e)` Return the xml for the default mode
`java.lang.StringBuffer` | `renderXmlNewServer(org.jasig.portal.ChannelRuntimeData runtimeData, org.xml.sax.ContentHandler out)` Return the xml for the new server mode
`java.lang.StringBuffer` | `renderXmlWithInformation(java.lang.String informationCode)` Return the xml when we have to show a information message
`void` | `setStaticData(org.jasig.portal.ChannelStaticData sd)` Receive static channel data from the portal.
`static void` | `xsltTransformation(org.jasig.portal.utils.XSLT xslt, java.lang.StringBuffer xmlTemp, org.xml.sax.ContentHandler out, org.jasig.portal.ChannelRuntimeData runtimeData, java.lang.StringBuffer stylesheet)` Do the XSLT transformation in the channel

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setRuntimeData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CStockageAdministration

    public CStockageAdministration()

  Constructor

Method Detail

### setStaticData

    public void setStaticData(org.jasig.portal.ChannelStaticData sd)

  Receive static channel data from the portal. Satisfies implementation of IChannel Interface.

  Specified by:
    `setStaticData` in interface `org.jasig.portal.IChannel`
  Parameters:
    `sd` - ChannelStaticData static channel data

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws org.jasig.portal.PortalException

  Output channel content to the portal

  Specified by:
    `renderXML` in interface `org.jasig.portal.IChannel`
  Parameters:
    `out` - a sax document handler
  Throws:
    `org.jasig.portal.PortalException`

### xsltTransformation

    public static void xsltTransformation(org.jasig.portal.utils.XSLT xslt,
                                          java.lang.StringBuffer xmlTemp,
                                          org.xml.sax.ContentHandler out,
                                          org.jasig.portal.ChannelRuntimeData runtimeData,
                                          java.lang.StringBuffer stylesheet)
                                   throws org.jasig.portal.PortalException

  Do the XSLT transformation in the channel

  Parameters:
    `xslt` - the XSLT object
    `xmlTemp` - the XML generated
    `out` - the ContentHandler object
    `runtimeData` - the ChannelRuntimeData object
    `stylesheet` - the stylesheet used
  Throws:
    `org.jasig.portal.PortalException`

### renderXmlWithInformation

    public java.lang.StringBuffer renderXmlWithInformation(java.lang.String informationCode)
                                                    throws PropertiesException

  Return the xml when we have to show a information message

  Parameters:
    `informationCode` - the code for the information message
  Returns:
    the xml when we have to show a information message
  Throws:
    `PropertiesException`

### renderXmlChannelException

    public java.lang.StringBuffer renderXmlChannelException(ChannelException e)

  Return the xml when we have a ChannelException exception

  Parameters:
    `e` - the throwed exception
  Returns:
    the xml when we have a ChannelException exception

### renderXmlDefault

    public java.lang.StringBuffer renderXmlDefault(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                   ChannelException e)
                                            throws DataBaseException,
                                                   PropertiesException,
                                                   ServerException

  Return the xml for the default mode

  Parameters:
    `runtimeData` - the ChannelRuntimeData object
    `e` - exception throwed
  Returns:
    the xml for the default mode
  Throws:
    `DataBaseException`
    `PropertiesException`
    `ServerException`

### renderXmlNewServer

    public java.lang.StringBuffer renderXmlNewServer(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                     org.xml.sax.ContentHandler out)
                                              throws CancelException,
                                                     StillExistsServerException,
                                                     DataBaseException,
                                                     PropertiesException,
                                                     ServerException,
                                                     org.jasig.portal.PortalException

  Return the xml for the new server mode

  Parameters:
    `runtimeData` - the ChannelRuntimeData object
  Returns:
    the xml for the new server mode
  Throws:
    `CancelException`
    `StillExistsServerException`
    `DataBaseException`
    `PropertiesException`
    `ServerException`
    `org.jasig.portal.PortalException`

### getDefaultServerXml

    public java.lang.StringBuffer getDefaultServerXml(org.jasig.portal.ChannelRuntimeData runtimeData)

  Return the xml for the default spaces mode

  Parameters:
    `runtimeData` - the ChannelRuntimeData object
  Returns:
    the xml for the default spaces mode

### getDefaultSpaceXml

    public java.lang.StringBuffer getDefaultSpaceXml(org.jasig.portal.ChannelRuntimeData runtimeData)

  Return the xml for the default space mode

  Parameters:
    `runtimeData` - the ChannelRuntimeData object
  Returns:
    the xml for the default space mode

### generateKey

    public org.jasig.portal.ChannelCacheKey generateKey()

  Specified by:
    `generateKey` in interface `org.jasig.portal.ICacheable`

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  Specified by:
    `isCacheValid` in interface `org.jasig.portal.ICacheable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD